Bug 264984 - Crash on filtering Magnatune DB [@ Collections::ServiceSqlQueryMaker::handleResult]
Summary: Crash on filtering Magnatune DB [@ Collections::ServiceSqlQueryMaker::handleR...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.4-GIT
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords: regression
: 266065 270985 270986 271266 273771 280119 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-01-31 18:47 UTC by Maarten ter Huurne
Modified: 2011-08-15 17:10 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments
New crash information added by DrKonqi (23.02 KB, text/plain)
2011-04-20 22:05 UTC, Tom Kijas
Details
New crash information added by DrKonqi (22.23 KB, text/plain)
2011-05-19 12:10 UTC, judedawson
Details
New crash information added by DrKonqi (17.59 KB, text/plain)
2011-05-20 12:52 UTC, Salvatore Brigaglia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maarten ter Huurne 2011-01-31 18:47:18 UTC
Application: amarok (2.4.0)
KDE Platform Version: 4.6.00 (4.6.0)
Qt Version: 4.7.1
Operating System: Linux 2.6.35.1-3.2-desktop x86_64
Distribution (Platform): openSUSE RPMs

-- Information about the crash:
- What I was doing when the application crashed:

I played 2 albums from my local collection without problems. After the playlist had stopped at the end, I went to the Magnatune collection and typed something in the filter field. At that point Amarok crashed.

Note that the back trace from this bug is very different from the trace from bug 233170: it seems here the view crashed (pixmap code) while there the model crashed (tree/list code).

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fa353c017a0 (LWP 16979))]

Thread 21 (Thread 0x7fa33327a710 (LWP 16981)):
#0  0x00007fa34e512709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa338e35951 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa35068482d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7fa331279710 (LWP 16982)):
#0  0x00007fa349cf83d5 in g_main_context_query () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fa349cf8edb in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fa349cf9510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fa351c6aae6 in QEventDispatcherGlib::processEvents (this=0x8fbe70, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fa351c3f262 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fa351c3f475 in QEventLoop::exec (this=0x7fa331278cd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007fa351b521a4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007fa3390935e4 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007fa351b54a1e in QThreadPrivate::start (arg=0x9a2270) at thread/qthread_unix.cpp:285
#9  0x00007fa344c50a33 in ?? () from /usr/lib64/libGL.so.1
#10 0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007fa35068482d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7fa32f06e710 (LWP 16985)):
#0  0x00007fa35067b6b3 in poll () from /lib64/libc.so.6
#1  0x00007fa32f0739d7 in ao_alsa_handle_event_thread () from /usr/lib64/xine/plugins/1.29/xineplug_ao_out_alsa.so
#2  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa35068482d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7fa32d06d710 (LWP 16986)):
#0  0x00007fa34e51239c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa338e4796b in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa35068482d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fa32aa54710 (LWP 16987)):
#0  0x00007fa34e51239c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa338e4796b in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa35068482d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fa32711d710 (LWP 16989)):
#0  0x00007fa34e51239c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa327e3b3f9 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007fa327e3a0b6 in os_aio_simulated_handle () from /usr/lib64/libmysqld.so.0
#3  0x00007fa327df9b5a in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007fa327e74b90 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007fa35068482d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fa323710710 (LWP 16990)):
#0  0x00007fa34e51239c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa327e3b3f9 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007fa327e3a0b6 in os_aio_simulated_handle () from /usr/lib64/libmysqld.so.0
#3  0x00007fa327df9b5a in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007fa327e74b90 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007fa35068482d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fa32170f710 (LWP 16991)):
#0  0x00007fa34e51239c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa327e3b3f9 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007fa327e3a0b6 in os_aio_simulated_handle () from /usr/lib64/libmysqld.so.0
#3  0x00007fa327df9b5a in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007fa327e74b90 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007fa35068482d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fa31f70e710 (LWP 16992)):
#0  0x00007fa34e51239c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa327e3b3f9 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007fa327e3a0b6 in os_aio_simulated_handle () from /usr/lib64/libmysqld.so.0
#3  0x00007fa327df9b5a in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007fa327e74b90 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007fa35068482d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fa31b1f6710 (LWP 16994)):
#0  0x00007fa35067de13 in select () from /lib64/libc.so.6
#1  0x00007fa327e3bbfb in os_thread_sleep () from /usr/lib64/libmysqld.so.0
#2  0x00007fa327e7382a in srv_lock_timeout_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa35068482d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fa3191f5710 (LWP 16995)):
#0  0x00007fa35067de13 in select () from /lib64/libc.so.6
#1  0x00007fa327e3bbfb in os_thread_sleep () from /usr/lib64/libmysqld.so.0
#2  0x00007fa327e73b45 in srv_error_monitor_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa35068482d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fa3171f4710 (LWP 16996)):
#0  0x00007fa35067de13 in select () from /lib64/libc.so.6
#1  0x00007fa327e3bbfb in os_thread_sleep () from /usr/lib64/libmysqld.so.0
#2  0x00007fa327e73492 in srv_monitor_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa35068482d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fa3151f3710 (LWP 16997)):
#0  0x00007fa34e51239c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa327e3b3f9 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007fa327e74182 in srv_master_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa35068482d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fa3131f2710 (LWP 16998)):
#0  0x00007fa349cf8354 in g_main_context_query () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fa349cf8edb in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fa349cf9510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fa351c6aae6 in QEventDispatcherGlib::processEvents (this=0x7eab00, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fa351c3f262 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fa351c3f475 in QEventLoop::exec (this=0x7fa3131f1ce0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007fa351b521a4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007fa351c20918 in QInotifyFileSystemWatcherEngine::run (this=0x14aba20) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fa351b54a1e in QThreadPrivate::start (arg=0x14aba20) at thread/qthread_unix.cpp:285
#9  0x00007fa344c50a33 in ?? () from /usr/lib64/libGL.so.1
#10 0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007fa35068482d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fa300946710 (LWP 17001)):
#0  0x00007fa34e51239c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa34c25c634 in ?? () from /usr/lib64/libQtScript.so.4
#2  0x00007fa34c25c669 in ?? () from /usr/lib64/libQtScript.so.4
#3  0x00007fa344c50a33 in ?? () from /usr/lib64/libGL.so.1
#4  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#5  0x00007fa35068482d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fa2f9009710 (LWP 17004)):
#0  0x00007fa34e51239c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa351b5510b in wait (this=<value optimized out>, mutex=0x1d69300, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1d69300, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa34d92f254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x15c1970, th=0x1dac150) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa34d9322a5 in waitForAvailableJob (this=0x1df80b0, th=0x1dac150) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:356
#5  ThreadWeaver::WorkingHardState::applyForWork (this=0x1df80b0, th=0x1dac150) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007fa34d92f64f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa2f9008d30, parent=0x15c1970, th=0x1dac150) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:87
#7  0x00007fa34d92f6d8 in ThreadWeaver::Thread::run (this=0x1dac150) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:142
#8  0x00007fa351b54a1e in QThreadPrivate::start (arg=0x1dac150) at thread/qthread_unix.cpp:285
#9  0x00007fa344c50a33 in ?? () from /usr/lib64/libGL.so.1
#10 0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007fa35068482d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fa2f6b7c710 (LWP 17005)):
[KCrash Handler]
#6  0x00007fa3528be3dc in Collections::ServiceSqlQueryMaker::handleResult (this=0x2e2b000, result=<value optimized out>) at /usr/src/debug/amarok-2.4.0/src/services/ServiceSqlQueryMaker.cpp:639
#7  0x00007fa3528c024b in ServiceSqlWorkerThread::run (this=0x2099580) at /usr/src/debug/amarok-2.4.0/src/services/ServiceSqlQueryMaker.cpp:58
#8  0x00007fa34d92fbd1 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7fa2f6b7bca0, th=0x24e0980, job=0x2099580) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Job.cpp:106
#9  0x00007fa34d92fd0e in ThreadWeaver::Job::execute (this=0x2099580, th=0x24e0980) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Job.cpp:135
#10 0x00007fa34d92f61f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa2f6b7bd30, parent=0x15c1970, th=0x24e0980) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:95
#11 0x00007fa34d92f6d8 in ThreadWeaver::Thread::run (this=0x24e0980) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:142
#12 0x00007fa351b54a1e in QThreadPrivate::start (arg=0x24e0980) at thread/qthread_unix.cpp:285
#13 0x00007fa344c50a33 in ?? () from /usr/lib64/libGL.so.1
#14 0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#15 0x00007fa35068482d in clone () from /lib64/libc.so.6
#16 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fa2effff710 (LWP 17006)):
#0  0x00007fa34e51239c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa351b5510b in wait (this=<value optimized out>, mutex=0x1d69300, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1d69300, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa34d92f254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x15c1970, th=0x7fa30c004400) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa34d9322a5 in waitForAvailableJob (this=0x1df80b0, th=0x7fa30c004400) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:356
#5  ThreadWeaver::WorkingHardState::applyForWork (this=0x1df80b0, th=0x7fa30c004400) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007fa34d92f64f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa2efffed30, parent=0x15c1970, th=0x7fa30c004400) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:87
#7  0x00007fa34d92f6d8 in ThreadWeaver::Thread::run (this=0x7fa30c004400) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:142
#8  0x00007fa351b54a1e in QThreadPrivate::start (arg=0x7fa30c004400) at thread/qthread_unix.cpp:285
#9  0x00007fa344c50a33 in ?? () from /usr/lib64/libGL.so.1
#10 0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007fa35068482d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fa2edffe710 (LWP 17007)):
#0  0x00007fa34e51239c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa351b5510b in wait (this=<value optimized out>, mutex=0x1d69300, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1d69300, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa34d92f254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x15c1970, th=0x257b8a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa34d9322a5 in waitForAvailableJob (this=0x1df80b0, th=0x257b8a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:356
#5  ThreadWeaver::WorkingHardState::applyForWork (this=0x1df80b0, th=0x257b8a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007fa34d92f64f in ThreadWeaver::ThreadRunHelper::run (this=0x7fa2edffdd30, parent=0x15c1970, th=0x257b8a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:87
#7  0x00007fa34d92f6d8 in ThreadWeaver::Thread::run (this=0x257b8a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:142
#8  0x00007fa351b54a1e in QThreadPrivate::start (arg=0x257b8a0) at thread/qthread_unix.cpp:285
#9  0x00007fa344c50a33 in ?? () from /usr/lib64/libGL.so.1
#10 0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007fa35068482d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fa2ebffd710 (LWP 17008)):
#0  0x00007fa34e51239c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa346a64a94 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#2  0x00007fa344c50a33 in ?? () from /usr/lib64/libGL.so.1
#3  0x00007fa34e50da4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa35068482d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa353c017a0 (LWP 16979)):
#0  0x00007fa35067b6b3 in poll () from /lib64/libc.so.6
#1  0x00007fa34873cc2a in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007fa34873d1a3 in ?? () from /usr/lib64/libxcb.so.1
#3  0x00007fa34873d234 in xcb_writev () from /usr/lib64/libxcb.so.1
#4  0x00007fa34fe92cc6 in _XSend () from /usr/lib64/libX11.so.6
#5  0x00007fa34fe870b7 in ?? () from /usr/lib64/libX11.so.6
#6  0x00007fa34fe8729d in XPutImage () from /usr/lib64/libX11.so.6
#7  0x00007fa3510e998b in QX11PixmapData::fromImage(QImage const&, QFlags<Qt::ImageConversionFlag>) () from /usr/lib64/libQtGui.so.4
#8  0x00007fa3510d506f in QPixmap::fromImage(QImage const&, QFlags<Qt::ImageConversionFlag>) () from /usr/lib64/libQtGui.so.4
#9  0x00007fa3535bebca in KPixmapCache::Private::loadData (this=0xca18d0, offset=149093, pix=...) at /usr/src/debug/kdelibs-4.6.0/kdeui/util/kpixmapcache.cpp:1341
#10 0x00007fa3535bf1ed in KPixmapCache::find (this=0x15dd3f0, key=..., pix=...) at /usr/src/debug/kdelibs-4.6.0/kdeui/util/kpixmapcache.cpp:1300
#11 0x00007fa352c023b7 in SvgHandler::renderSvgWithDividers (this=0x16aa130, keyname=<value optimized out>, width=454, height=21, element=...) at /usr/src/debug/amarok-2.4.0/src/SvgHandler.cpp:176
#12 0x00007fa352d385d7 in Amarok::PrettyTreeView::drawRow (this=<value optimized out>, painter=0x7fff6e7a24d0, option=..., index=<value optimized out>)
    at /usr/src/debug/amarok-2.4.0/src/widgets/PrettyTreeView.cpp:54
#13 0x00007fa35155219a in QTreeView::drawTree(QPainter*, QRegion const&) const () from /usr/lib64/libQtGui.so.4
#14 0x00007fa351552bb3 in QTreeView::paintEvent(QPaintEvent*) () from /usr/lib64/libQtGui.so.4
#15 0x00007fa35104f45a in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#16 0x00007fa3513fc246 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#17 0x00007fa35150e463 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#18 0x00007fa3515532d5 in QTreeView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#19 0x00007fa351c3ffb7 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x160ba80, event=0x7fff6e7a3140) at kernel/qcoreapplication.cpp:847
#20 0x00007fa350ffdca1 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#21 0x00007fa3510061ca in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#22 0x00007fa3535a0ec6 in KApplication::notify (this=0x7fff6e7a60c0, receiver=0x160ba80, event=0x7fff6e7a3140) at /usr/src/debug/kdelibs-4.6.0/kdeui/kernel/kapplication.cpp:311
#23 0x00007fa351c3fe2c in QCoreApplication::notifyInternal (this=0x7fff6e7a60c0, receiver=0x160ba80, event=0x7fff6e7a3140) at kernel/qcoreapplication.cpp:732
#24 0x00007fa35104c322 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#25 0x00007fa35104ceef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#26 0x00007fa35104cdac in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#27 0x00007fa35104c08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#28 0x00007fa35104ceef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#29 0x00007fa35104c08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#30 0x00007fa35104ceef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#31 0x00007fa35104c08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#32 0x00007fa35104ceef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#33 0x00007fa35104c08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#34 0x00007fa35104ceef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#35 0x00007fa35104c08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#36 0x00007fa35104ceef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#37 0x00007fa35104c08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#38 0x00007fa35104ceef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#39 0x00007fa35104c08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#40 0x00007fa351211c71 in ?? () from /usr/lib64/libQtGui.so.4
#41 0x00007fa351041010 in QWidgetPrivate::syncBackingStore() () from /usr/lib64/libQtGui.so.4
#42 0x00007fa35104f962 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#43 0x00007fa351415dcb in QMainWindow::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#44 0x00007fa350ffdcd4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#45 0x00007fa3510061ca in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#46 0x00007fa3535a0ec6 in KApplication::notify (this=0x7fff6e7a60c0, receiver=0x7f7ca0, event=0x2cbd420) at /usr/src/debug/kdelibs-4.6.0/kdeui/kernel/kapplication.cpp:311
#47 0x00007fa351c3fe2c in QCoreApplication::notifyInternal (this=0x7fff6e7a60c0, receiver=0x7f7ca0, event=0x2cbd420) at kernel/qcoreapplication.cpp:732
#48 0x00007fa351c43625 in sendEvent (receiver=0x0, event_type=0, data=0x6660b0) at kernel/qcoreapplication.h:215
#49 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x6660b0) at kernel/qcoreapplication.cpp:1373
#50 0x00007fa351c6a8f3 in sendPostedEvents (s=0x7e4400) at kernel/qcoreapplication.h:220
#51 postEventSourceDispatch (s=0x7e4400) at kernel/qeventdispatcher_glib.cpp:277
#52 0x00007fa349cf8a93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#53 0x00007fa349cf9270 in ?? () from /usr/lib64/libglib-2.0.so.0
#54 0x00007fa349cf9510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#55 0x00007fa351c6aa8f in QEventDispatcherGlib::processEvents (this=0x66bb30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#56 0x00007fa3510a2eae in ?? () from /usr/lib64/libQtGui.so.4
#57 0x00007fa351c3f262 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#58 0x00007fa351c3f475 in QEventLoop::exec (this=0x7fff6e7a6050, flags=...) at kernel/qeventloop.cpp:201
#59 0x00007fa351c438db in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#60 0x000000000040960d in main (argc=1, argv=0x7fff6e7a8538) at /usr/src/debug/amarok-2.4.0/src/main.cpp:268

Possible duplicates by query: bug 250684.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-02-12 14:52:02 UTC
*** Bug 266065 has been marked as a duplicate of this bug. ***
Comment 2 Myriam Schweingruber 2011-02-12 14:52:25 UTC
Confirmed by duplicate
Comment 3 Myriam Schweingruber 2011-04-17 17:05:31 UTC
*** Bug 270986 has been marked as a duplicate of this bug. ***
Comment 4 Myriam Schweingruber 2011-04-17 17:06:55 UTC
*** Bug 270985 has been marked as a duplicate of this bug. ***
Comment 5 Anne Wilson 2011-04-18 10:45:54 UTC
It's too early to be certain, but it looks as though changing my phonon backend from gstreamer to vlc might have cured my problem (bug #270986)
Comment 6 Tom Kijas 2011-04-20 22:05:00 UTC
Created attachment 59168 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

Amarok crashes when scanning jamendo collection.

-- Backtrace (Reduced):
#6  0x00007f8254c3f90c in Collections::ServiceSqlQueryMaker::handleResult (this=0x440b9e0, result=...) at ../../src/services/ServiceSqlQueryMaker.cpp:637
#7  0x00007f8254c4171c in ServiceSqlWorkerThread::run (this=0x3c95370) at ../../src/services/ServiceSqlQueryMaker.cpp:58
#8  0x00007f825045bc21 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f8217ffec00, th=0x1becf10, job=0x3c95370) at ../../../threadweaver/Weaver/Job.cpp:106
#9  0x00007f825045bd4c in ThreadWeaver::Job::execute (this=0x3c95370, th=0x1becf10) at ../../../threadweaver/Weaver/Job.cpp:135
#10 0x00007f825045b50f in ThreadWeaver::ThreadRunHelper::run (this=0x7f8217ffec80, parent=0x271d950, th=0x1becf10) at ../../../threadweaver/Weaver/Thread.cpp:95
Comment 7 Anne Wilson 2011-04-21 11:57:41 UTC
Sadly, my optimism was misplaced.  Changing the backend has not cured it. Slowly typed searches sometimes work, but mostly searches crash.
Comment 8 Myriam Schweingruber 2011-04-21 12:16:26 UTC
I wonder if this is due to the remote server connection speed...
Comment 9 Myriam Schweingruber 2011-05-01 22:56:55 UTC
*** Bug 271266 has been marked as a duplicate of this bug. ***
Comment 10 Ralf Engels 2011-05-03 17:36:55 UTC
Can someone try this on a current git version?

I am pretty sure that I fixed the issue with one of my previous fixes for 233170 which sound's similar from the description.
Comment 11 judedawson 2011-05-19 12:10:34 UTC
Created attachment 60151 [details]
New crash information added by DrKonqi

amarok (2.4.1) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
I selected Magnatune and proceeded to type an artist name for a seach. Suddenly, Amarok crashed.

-- Backtrace (Reduced):
#7  0x00f9032d in Collections::ServiceSqlQueryMaker::handleResult (this=0xa4b8708, result=...) at ../../src/services/ServiceSqlQueryMaker.cpp:615
#8  0x00f92115 in ServiceSqlWorkerThread::run (this=0xaf91cce0) at ../../src/services/ServiceSqlQueryMaker.cpp:58
#9  0x0046c7f4 in ThreadWeaver::JobRunHelper::runTheJob (this=0xa6f2b25c, th=0x9e8feb8, job=0xaf91cce0) at ../../../threadweaver/Weaver/Job.cpp:106
#10 0x0046c941 in ThreadWeaver::Job::execute (this=0xaf91cce0, th=0x9e8feb8) at ../../../threadweaver/Weaver/Job.cpp:135
#11 0x0046bf6a in ThreadWeaver::ThreadRunHelper::run (this=0xa6f2b2e4, parent=0x9e571b0, th=0x9e8feb8) at ../../../threadweaver/Weaver/Thread.cpp:95
Comment 12 Salvatore Brigaglia 2011-05-20 12:52:21 UTC
Created attachment 60180 [details]
New crash information added by DrKonqi

amarok (2.4.1) on KDE Platform 4.6.3 (4.6.3) using Qt 4.7.3

- What I was doing when the application crashed:

Search on the magnatune textbox

- Unusual behavior I noticed:

The firs time Amarok crashed after searching the magnatune textbox also plasma crashed. Plasma didn't crash other times

-- Backtrace (Reduced):
#6  0x00007f9af693aebc in Collections::ServiceSqlQueryMaker::handleResult (this=0x216b3c0, result=<value optimized out>) at /usr/src/debug/amarok-2.4.1/src/services/ServiceSqlQueryMaker.cpp:615
#7  0x00007f9af693cd2b in ServiceSqlWorkerThread::run (this=0x7f9ac40022e0) at /usr/src/debug/amarok-2.4.1/src/services/ServiceSqlQueryMaker.cpp:58
#8  0x00007f9af19d8bd1 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f9ac8876da0, th=0x7f9acc011f40, job=0x7f9ac40022e0) at /usr/src/debug/kdelibs-4.6.3/threadweaver/Weaver/Job.cpp:106
#9  0x00007f9af19d8d0e in ThreadWeaver::Job::execute (this=0x7f9ac40022e0, th=0x7f9acc011f40) at /usr/src/debug/kdelibs-4.6.3/threadweaver/Weaver/Job.cpp:135
#10 0x00007f9af19d861f in ThreadWeaver::ThreadRunHelper::run (this=0x7f9ac8876e30, parent=0x1b13580, th=0x7f9acc011f40) at /usr/src/debug/kdelibs-4.6.3/threadweaver/Weaver/Thread.cpp:95
Comment 13 Ralf Engels 2011-05-20 21:45:46 UTC
Just pushed a new fix to git.
At least searching on Magnatune does not crash any longer for me (which it did before).

Are you able to build a GIT-version and test it?
Comment 14 judedawson 2011-05-21 05:13:09 UTC
Hi Ralf,

Thanks for your follow up.

Unfortunately, no I am not able to - I'm an end-user and am relatively new
to Linux.

Sorry about that.

From,
Jude

On Sat, May 21, 2011 at 3:45 AM, Ralf Engels <ralf.engels@nokia.com> wrote:

> https://bugs.kde.org/show_bug.cgi?id=264984
>
>
>
>
>
> --- Comment #13 from Ralf Engels <ralf engels nokia com>  2011-05-20
> 21:45:46 ---
> Just pushed a new fix to git.
> At least searching on Magnatune does not crash any longer for me (which it
> did
> before).
>
> Are you able to build a GIT-version and test it?
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 15 Myriam Schweingruber 2011-05-22 11:49:06 UTC
*** Bug 273771 has been marked as a duplicate of this bug. ***
Comment 16 Salvatore Brigaglia 2011-05-22 17:28:01 UTC
(In reply to comment #13)
> Just pushed a new fix to git.
> At least searching on Magnatune does not crash any longer for me (which it did
> before).
> 
> Are you able to build a GIT-version and test it?

Did it. No longer crashes on magnatune search! Good work! For me you can close the bug.
Comment 17 Myriam Schweingruber 2011-08-15 17:10:18 UTC
*** Bug 280119 has been marked as a duplicate of this bug. ***